using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	public class AssassinGuildmaster : BaseGuildmaster
	{
		public override NpcGuild NpcGuild{ get{ return NpcGuild.AssassinsGuild; } }

		[Constructable]
		public AssassinGuildmaster() : base( "assassin" )
		{
			SetSkill( SkillName.Hiding, 65.0, 88.0 );
			SetSkill( SkillName.Poisoning, 60.0, 83.0 );
			SetSkill( SkillName.Fencing, 75.0, 98.0 );
			SetSkill( SkillName.Stealth, 85.0, 100.0 );
			SetSkill( SkillName.Tactics, 85.0, 100.0 );
		}

		public override void InitOutfit()
		{
			int color = 0x966;

			Item L1 = new LeatherArms();		L1.Hue = color;
			Item L2 = new LeatherChest();		L2.Hue = color;
			Item L3 = new LeatherGloves();		L3.Hue = color;
			Item L4 = new LeatherGorget();		L4.Hue = color;
			Item L5 = new LeatherLegs();		L5.Hue = color;

			AddItem( L1 );
			AddItem( L2 );
			AddItem( L3 );
			AddItem( L4 );
			AddItem( L5 );

			AddItem( new Hood( color ) );
			AddItem( new Dagger() );
			AddItem( new Boots() );
		}

		public override void InitSBInfo()
		{
			SBInfos.Add( new SBAssassin() );
			SBInfos.Add( new SBKnifeWeapon() );
			SBInfos.Add( new SBLeatherArmor() );
			SBInfos.Add( new SBStuddedArmor() ); 
		}

		public override void SayWelcomeTo( Mobile m )
		{
			SayTo( m, 1008053 ); // Welcome to the guild! Stay to the shadows, friend.
		}

		public AssassinGuildmaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}